﻿using DevDisciples.Parsing;

namespace DevDisciples.Json.Parser.Syntax;

public readonly struct JsonArraySyntax : IJsonSyntax
{
    public Lexer<JsonToken>.Token Token { get; }
    public IJsonSyntax[] Elements { get; }

    public JsonArraySyntax(Lexer<JsonToken>.Token token, IJsonSyntax[] elements)
    {
        Token = token;
        Elements = elements;
    }
}